body.dnnEditState .lb-container {
  align-items: flex-start;
}

.lb-container {
  padding-block: .8rem;
  gap: 1rem;
}

.link-button {
  border-bottom: 5px solid #4079BA;
  border-radius: 3px;
  box-shadow: 0px 1px 5px 2px #bbb;
/*  min-width: 250px;
  max-width: 480px;*/
  width: clamp(250px, 100%, 480px);
  background-color: #fff;
}

.link-button a {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: .9rem 1.25rem;
  font-size: 1.5rem;
  text-decoration: none !important;
  color: #2D4174 !important;
  font-weight: 600;
  line-height: 1.2;
  background-color: #fff;
}


.link-button a:hover,
.link-button a:focus-visible {
  background-color: #d5d5d5;
  text-decoration: underline !important;
}

.lb-edit-actions {
  padding: .5rem;
  display: flex;
  gap: .5rem;
}

/* Grid layout */

.lb-container.flex-row .link-button {
  border-radius: 0;
  --size: 180px;
  min-width: var(--size);
  max-width: var(--size);
/*  min-height: var(--size);
  max-height: var(--size);*/
}

.lb-container.flex-row .link-button img {
  width: 75px;
  aspect-ratio: 1/1;
  object-fit: contain;
  border: none;
}

.lb-container.flex-row .link-button img:not([src]),
.lb-container.flex-row .link-button img[src=""] {
  visibility: hidden;
}

.lb-container.flex-row .link-button a {
  padding-inline: .5rem;
  padding-bottom: .5rem;
  display: flex;
  flex-direction: column;
  justify-content: normal;
  gap: .5rem;
  font-size: 1.25rem;
  height: 100%;
  color: #000 !important;
  font-weight: 400;
  text-align: center;
  line-height: inherit;
}

.lb-container.flex-row .link-button a:hover,
.lb-container.flex-row .link-button a:focus-visible {
  text-decoration: none !important;
}

.lb-container.flex-row .link-button a svg {
  display: none;
}

.lb-container.flex-row .lb-edit-actions {
  display: flex;
  flex-direction: column;
}

/* Spinner/Loader */
.lbloader {
  width: 48px;
  height: 48px;
  border: 5px solid #FFF;
  border-bottom-color: #FF3D00;
  border-radius: 50%;
  display: inline-block;
  box-sizing: border-box;
  animation: rotation 1s linear infinite;
}

@keyframes rotation {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
} 